Bug 74309 - Camedia USB smart media reader card cannot be changed without reboot
Camedia USB smart media reader card cannot be changed without reboot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 23:57 EDT by Gerry Tool
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-17 13:07:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2002-09-19 23:57:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
I have a Camedia USB smart media reader which Null recognizes and allows
me to mount as /mnt/smedia with an fstab entry as follows.

/dev/sda1       /mnt/smedia     vfat    noauto,user 0 0

If I have a smart media card in the reader at boot, I can manually
mount/unmount it just fine and read the data on the card.

[gerry@gstpc gerry]$ mount /mnt/smedia
mount: block device /dev/sda1 is write-protected, mounting read-only
[gerry@gstpc gerry]$ umount /mnt/smedia

However, if I want to remove the card after unmounting the device and
insert another card and mount the device, I get the following error;

[gerry@gstpc gerry]$ mount /mnt/smedia
mount: block device /dev/sda1 is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/sda1,
       or too many mounted file systems


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.mount Camedia smart reader on /dev/sda1 as /mnt/smedia
2.read data from card successfully
3.umount /mnt/smedia
4.remove card and reinsert or insert new card
5.mount /mnt/smedia

Actual Results:  get error message:
mount: block device /dev/sda1 is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/sda1,
       or too many mounted file systems


Expected Results:  should get message that card has been mounted and be able to
read contents.

Additional info:
A long thread discussing this problem is in the limbo-list.

This device works properly in Mandrake 9.0 Release Candidate 3.
It works just as expected there; I
can mount it, unmount it, remove it, replace it , mount it, unmount it,
put in a different card and mount that card, and it always reads the
cards just fine.  When switching to a different size card, it does give
an I/O error message, followed by a successful mount message and the new
card is read just fine.
Comment 1 Thomas Dodd 2002-09-20 13:53:01 EDT
Mark C. reported a similar issue on the limbo-list.
It was also discussed on the kernel-list and usb-users lists.
It appears to be an issue with SmartMedia in the Red Hat kernels.

Knowing that Mandrakes 2.4.19-13mdk kernel doesn't have the problem
should help debug this.
Comment 2 Gerry Tool 2002-09-22 09:24:47 EDT
Whenever I have mounted the smart media card, on reboot, the shutdown hangs at
the Unmounting File Systems line and repeatedly writes lines to the screen:

SCSI disk error: host 1 channel 0 id 0 lun 0 return code=70000  
  I/O error: dev 08:01, sector 127744

with subsequent messages having the sector number incremented by 2.  There is a
long wait between messages, and I finally have to hit the reset button to get on
with rebooting.  No such event if I haven't mounted a smart media card.  Same
thing if I have mounted and unmounted it.
Comment 3 Pete Zaitcev 2002-11-06 21:59:33 EST
Did you try it on 8.0 with 2.4.18-7.8.0?
Comment 4 Gerry Tool 2003-11-15 22:08:09 EST
I no longer use RHL8.0.  I have upgraded to RHL9 and subsequently to
Fedora Core 1.  I just tested this on FC1 and it now all works like I
expect it to.  As far as I'm concerned, you can mark this bug as resolved.
Comment 5 Pete Zaitcev 2003-11-17 13:07:13 EST
OK, that works too. Matt Dharm (maintainer) fixed it a little
differently, and I think a little too ruthlessly, but all is well
that ends well.

Note You need to log in before you can comment on or make changes to this bug.